deb-multimedia
.org repository

Details for libwebkit2gtk-4.0-37 (2.18.6-1~deb9u1.0) - amd64 - Stable/Stretch

Web content engine library for GTK+

WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser. It is made to be embedded in
other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.

WebKit2 is an API layer for WebKit designed from the ground up to support a
split process model, where the web content lives in a separate process from
the application UI.

This build comes from the GTK+ port of WebKit (API version 4.0).

This is the library for embedding in GTK+ applications.

Multi-Arch: same

Section: libs
Priority: optional
Filename: pool/main/w/webkit2gtk-dmo/libwebkit2gtk-4.0-37_2.18.6-1~deb9u1.0_amd64.deb
Size: 11541686
MD5sum: a02eebea638c158451bccf18b6d1e66b
SHA1: a18708bde85be6f291e651fd0eb33d3720d9675e
SHA256: c7b7e6b3f03b5e8d1b72e9ab9ae03072db1dc7cc5d6a96caf8b5f5bc64ec4330



Section: libs
Priority: optional
Build-Date: 11 March 2018

Depends:
   - libjavascriptcoregtk-4.0-18 (= 2.18.6-1~deb9u1.0).
   - libatk1.0-0 (>= 2.12.0).
   - libc6 (>= 2.14).
   - libcairo2 (>= 1.14.0).
   - libegl1-mesa (>= 7.8.1) or libegl1-x11.
   - libenchant1c2a (>= 1.6.0).
   - libfontconfig1 (>= 2.11).
   - libfreetype6 (>= 2.2.1).
   - libgcc1 (>= 1:4.0).
   - libgcrypt20 (>= 1.7.0).
   - libgdk-pixbuf2.0-0 (>= 2.22.0).
   - libgl1-mesa-glx or libgl1.
   - libglib2.0-0 (>= 2.43.1).
   - libgstreamer-plugins-bad1.0-0 (>= 1:1.10.4).
   - libgstreamer-plugins-base1.0-0 (>= 1.2.0).
   - libgstreamer1.0-0 (>= 1.4.0).
   - libgtk-3-0 (>= 3.19.12).
   - libharfbuzz-icu0 (>= 0.9.18).
   - libharfbuzz0b (>= 1.4.1).
   - libhyphen0 (>= 2.7.1).
   - libicu57 (>= 57.1-1~).
   - libjpeg62-turbo (>= 1.3.1).
   - libnotify4 (>= 0.7.0).
   - libpango-1.0-0 (>= 1.30.0).
   - libpng16-16 (>= 1.6.2-1).
   - libsecret-1-0 (>= 0.7).
   - libsoup2.4-1 (>= 2.53.92).
   - libsqlite3-0 (>= 3.7.15).
   - libstdc++6 (>= 6).
   - libtasn1-6 (>= 4.5).
   - libwayland-client0 (>= 1.9.91).
   - libwayland-egl1-mesa (>= 10.0.2) or libwayland-egl1.
   - libwayland-server0 (>= 1.2.0).
   - libwebp6 (>= 0.5.1).
   - libx11-6.
   - libxcomposite1 (>= 1:0.3-1).
   - libxdamage1 (>= 1:1.1).
   - libxml2 (>= 2.7.4).
   - libxslt1.1 (>= 1.1.25).
   - zlib1g (>= 1:1.2.0).
Recommends:
   - gstreamer1.0-plugins-base.
   - gstreamer1.0-plugins-good.
   - gstreamer1.0-pulseaudio or gstreamer1.0-alsa.
   - libgl1-mesa-dri.
Suggests:
   - libwebkit2gtk-4.0-37-gtk2.

Source: webkit2gtk-dmo
Website: https://webkitgtk.org/
Installed-Size: 44 MB

You must use a package manager like aptitude or synaptic to download and install this package.Direct package download: libwebkit2gtk-4.0-37

You can also browse the application directory for libwebkit2gtk-4.0-37.